PHP Manual
Prev |  | Next

# db2_fetch_row

(PECL)

db2_fetch_row -- Sets the result set pointer to the next row or requested row

## Description

bool db2_fetch_row ( resource stmt [, int row_number] )

Use db2_fetch_row() to iterate through a result set, or to point to a specific row in a result set if you requested a scrollable cursor.

To retrieve individual fields from the result set, call the db2_result() function.

Rather than calling db2_fetch_row() and db2_result(), most applications will call one of db2_fetch_assoc(), db2_fetch_both(), or db2_fetch_array() to advance the result set pointer and return a complete row as an array.

## Parameters

stmt

  A valid stmt resource.

row_number

  With scrollable cursors, you can request a specific row number in the result set. Row numbering is 1-indexed.

## Return Values

Returns `TRUE` if the requested row exists in the result set. Returns `FALSE` if the requested row does not exist in the result set.

## Examples

Example 1. Iterating through a result set The following example demonstrates how to iterate through a result set with db2_fetch_row() and retrieve columns from the result set with db2_result().
`<?php $sql = 'SELECT name, breed FROM animals WHERE weight < ?'; $stmt = db2_prepare($conn, $sql); db2_execute($stmt, array(10)); while (db2_fetch_row($stmt)) { $name = db2_result($stmt, 0); $breed = db2_result($stmt, 1); print "$name $breed"; } ?>`
The above example will output:
    cat Pook
    gold fish Bubbles
    budgerigar Gizmo
    goat Rickety Ride

## See Also

db2_fetch_array()
db2_fetch_assoc()
db2_fetch_both()
db2_fetch_object()
db2_result()

Prev | Home | Next
db2_fetch_object | Up | db2_field_display_size